using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class FmsFacilityOperationReport {
        [Key]
        public int SiteId { get; set; }
        [Key]
        public int FacilityOperationReportId { get; set; }
        [Required]
        [StringLength(128)]
        public string Name { get; set; }
        [Required]
        [StringLength(1024)]
        public string Contents { get; set; }
        [Required]
        [StringLength(24)]
        public string RegisterUserId { get; set; }
        [Column(TypeName = "datetime")]
        public DateTime AddDate { get; set; }

        [ForeignKey("RegisterUserId")]
        [InverseProperty("FmsFacilityOperationReport")]
        public virtual CmUser CmUser { get; set; }
    }
}
